<!doctype html>
<html lang="en">

    <head>
        <meta charset="utf-8">
        <title>ZEPL NDK</title>

        <link id="dr-zp-dark-var" href="./assets/css/dr-zp-dark-var.css" rel="stylesheet" crossorigin>
        <link id="dr-zp-light-var" href="./assets/css/dr-zp-light-var.css" rel="stylesheet" crossorigin>
        <link href="./assets/css/dr-zp-base.css" rel="stylesheet" crossorigin>
        <link href="./assets/css/sdk.css" rel="stylesheet" crossorigin>
        <link href="./assets/css/trinity.css" rel="stylesheet" crossorigin>
        <link href="./assets/css/grid.css" rel="stylesheet" crossorigin>

        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons+Outlined" rel="stylesheet">

        <script src="./assets/vendor/moment/min/moment.min.js"></script>
        <script src="./assets/vendor/webcomponents/webcomponentsjs/webcomponents-loader.js"></script>
        <script type="module" src="./assets/webcomponents/app/dr-zp-app-wrapper.js"></script>

        <script>
            function setTheme(theme) {
                let selectedTheme = theme || localStorage.getItem("theme");
                if (selectedTheme === 'light') {
                    document.getElementById('dr-zp-dark-var').disabled = true;
                    document.getElementById('dr-zp-light-var').disabled = false;
                } else {
                    document.getElementById('dr-zp-dark-var').disabled = false;
                    document.getElementById('dr-zp-light-var').disabled = true;
                }
            }
        </script>

        <script>
            setTheme();
            window.customElements.defineCloned = window.customElements.define;

            window.customElements.define = function (name, cls) {
                try {
                    window.customElements.defineCloned(name, cls);
                    //console.info("registering: ", name);
                }
                catch (err) {
                    console.info("skipping: ", name);
                }
            }
        </script>

    </head>

    <body style="overflow: hidden">
        <dr-zp-app-wrapper></dr-zp-app-wrapper>
    </body>
</html>